Page MenuHomePhabricator

Partially blocked users cannot delete revisions
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 18 2019, 11:30 PM

Change 524382 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Allow users who are partially blocked to delete revisions via the API

https://gerrit.wikimedia.org/r/524382

dbarratt renamed this task from API Prevents Revision deletion from partially blocked users to API prevents revision deletion from partially blocked users.Jul 18 2019, 11:34 PM
dbarratt moved this task from Ready to Review on the Anti-Harassment (The Letter Song) board.
dbarratt added a project: MediaWiki-API.
dbarratt renamed this task from API prevents revision deletion from partially blocked users to Partially blocked users cannot delete revisions.Jul 18 2019, 11:54 PM
Anomie moved this task from Unsorted to Needs Review on the MediaWiki-API board.Jul 19 2019, 1:50 PM
WDoranWMF triaged this task as Normal priority.Jul 23 2019, 3:46 PM

Change 524382 merged by jenkins-bot:
[mediawiki/core@master] Allow users who are partially blocked to delete revisions.

https://gerrit.wikimedia.org/r/524382

dom_walden added a subscriber: dom_walden.

Admin (who has blocked themself) can delete and undelete revisions via Special:RevisionDelete if partially blocked.

Admin (who has blocked themself) can delete and undelete revisions via ApiRevisionDelete if partially blocked.

Oversight user not allowed to suppress a revision if blocked from namespace of revision. Can for revisions in other namespaces (via API and Special:RevisionDelete).

Admin cannot delete a log entry if they are sitewide blocked. Can otherwise.

Admin cannot delete old image revisions if they are blocked from File namespace.

Environment

Most testing done on https://en.wikipedia.beta.wmflabs.org/wiki: MediaWiki 1.34.0-alpha (8def7a9) 07:08, 16 September 2019 on

Revision suppression tested on a local wiki: MediaWiki 1.34.0-alpha (8def7a9) 00:08, 16 September 2019

dbarratt closed this task as Resolved.Sep 16 2019, 5:29 PM